Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/13/2024 in all areas

  1. PERFECT!!! That's exactly what was thinking. thank you again.
    1 point
  2. For help with the application, I would suggest here at CADTutor; for programming help, I would suggest TheSwamp.org or StackOverflow (though the latter does not have a large CAD community).
    1 point
  3. I haven't had a chance to check this out, but poster marked as solved. Where can I find example for controlling AutoCAD? - English - Ask LibreOffice
    1 point
  4. I didn't get anything on my home computer with LibreOffice. No lines and no errors, but I have AutoCAD 2000i at home. I still have doubts that anything will work, at least lower level programming. It's been a few years since I looked into this, though. I'll check more into at home when I can free up some time. Maybe something new has popped up in the last few years.
    1 point
  5. Thanks for helping
    1 point
  6. Glad to read you did it!
    1 point
  7. @fuccaro It works perfectly ! Much appreciated on the swift response.
    1 point
  8. (defun c:pp() (setq c (getpoint "center point ") a (getdist "side1 ") b (getdist "side2 ") rot (getangle "rotation? ") ) (setq angs (list (setq ang1 (atan b a)) (- PI ang1 )(+ PI ang1) (- ang1)) l (* 0.5 (sqrt(+ (* a a) (* b b)))) plist nil i -1) (repeat 4 (setq plist (cons (cons 10 (polar c (+ rot (nth (setq i (1+ i)) angs)) l)) plist))) (entmake (append (list '(0 . "LWPOLYLINE")(cons 100 "AcDbEntity") (cons 100 "AcDbPolyline") '( 90 . 4) '(70 . 1)) plist)) ) See here a quick one. It could be improved a lot Welcome in the forum!
    1 point
  9. The messages are not in English but looks like no Definition Getobject, I relied on help and googling to get to where it worked with Bricscad and Autocad. What did this return when copied to command line in Autocad, (setq libre (vlax-get-or-create-object "com.sun.star.ServiceManager")) Send me a Private mail with your email then we can chat with out clogging up Cadtutor. I will look at downloading Libreoffice calc.
    1 point
  10. @ajithkumar.t I recommend you try using the (vla-Saveas) method: ;; Use VlaSaveAs Method (setq saveFileName (strcat saveFileNamepath (vl-filename-base (getvar "DWGNAME")) ".dxf")) (vla-saveas (vla-get-activedocument (vlax-get-acad-object)) SaveFileName ac2018_dxf) (if (findfile SaveFileName) (prompt (strcat "\nProcessed drawing saved to: " saveFileName)) (prompt (strcat "\nError: Unable to save the processed drawing as DXF.")) ) Also note: you have some incomplete code in your post above: (setq subfolderName (strcat (rtos x 2 2) "-" modtext)) There is nothing in the function that defines "x" or "modtext" so it errors here.
    1 point
×
×
  • Create New...